# Created by pyp2rpm-3.3.5
%global pypi_name pyacoustid

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 2
Summary:        bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Group:          Development/Python
License:        MIT
URL:            https://github.com/sampsyo/pyacoustid
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Chromaprint and its associated Acoustid Web service make up a high-quality, 
open-source acoustic fingerprinting system.
This package provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service, which
provides fingerprint lookups.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(audioread)
Requires:       python3dist(requests)

%description -n python3-%{pypi_name}
Chromaprint and its associated Acoustid Web service make up a high-quality, 
open-source acoustic fingerprinting system.
This package provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service, which
provides fingerprint lookups.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files acoustid chromaprint

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 1.3.0-2.mga10
+ Revision: 2157354
- rebuild for python3.13

* Sun Dec 31 2023 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2024800
- new version: 1.3.0

* Sun Dec 31 2023 daviddavid <daviddavid> 1.2.2-2.mga10
+ Revision: 2024799
- rebuild for py3.12

* Sat Oct 08 2022 papoteur <papoteur> 1.2.2-1.mga9
+ Revision: 1895438
- imported package python-pyacoustid

